Subject: Improved PATCH to make configure not ignore --with-png-library

From: Francis Litterio <[email-masked]>
Date: Tue, 14 Dec 2004 14:35:02 -0500

My previous patch to 2.5.12 to make configure not ignore
--with-png-library accidentally removed a "-lz" option that is needed
when linking fvwm.  The below (improved) patch solves this problem and
should be used in place of the one I submitted previously.

Again, I suspect that "configure.in" must also be patched, but I lack
sufficient knowledge of autoconf syntax to do that.

Sorry for the confusion.
--
Francis Litterio
[email-masked]
http://world.std.com/~franl/
GPG and PGP public keys available on keyservers.

*** configure.orig      Tue Dec 14 14:22:10 2004
--- configure   Tue Dec 14 14:42:22 2004
***************
*** 6668,6674 ****
  
      if test "$withval" = yes; then
          with_png=yes
!         png_LIBS="-l${smr_lib}"
      elif test "$withval" = no; then
          with_png=no
          png_LIBS=
--- 6668,6674 ----
  
      if test "$withval" = yes; then
          with_png=yes
!         png_LIBS="-l${smr_lib} -lz"
      elif test "$withval" = no; then
          with_png=no
          png_LIBS=
***************
*** 6677,6683 ****
          if test -f "$withval"; then
              png_LIBS=$withval
          elif test -d "$withval"; then
!             png_LIBS="-L$withval -l${smr_lib}"
          else
              { { echo "$as_me:$LINENO: error: --with-png-library argument must be yes/no, file or directory" >&5
  echo "$as_me: error: --with-png-library argument must be yes/no, file or directory" >&2;}
--- 6677,6683 ----
          if test -f "$withval"; then
              png_LIBS=$withval
          elif test -d "$withval"; then
!             png_LIBS="-L$withval -l${smr_lib} -lz"
          else
              { { echo "$as_me:$LINENO: error: --with-png-library argument must be yes/no, file or directory" >&5
  echo "$as_me: error: --with-png-library argument must be yes/no, file or directory" >&2;}
***************
*** 6688,6694 ****
  else
  
      with_png=maybe
!     png_LIBS="-l${smr_lib}"
  
  fi;
  if test "$with_png" != no; then
--- 6688,6694 ----
  else
  
      with_png=maybe
!     png_LIBS="-l${smr_lib} -lz"
  
  fi;
  if test "$with_png" != no; then
***************
*** 6964,6970 ****
  #define HAVE_PNG 1
  _ACEOF
  
-   png_LIBS="-lpng -lz"
    problem_png=""
  else
    with_png=no
--- 6964,6969 ----
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]